# Class FootNotes

#### Hierarchy

- XmlComponent
  - FootNotes

- Defined in file/footnotes/footnotes.ts:9

#####
Index

### Constructors

constructor

### Methods

addChildElement
createFootNote
prepForXml

## Constructors

### constructor

- new FootNotes(): FootNotes

- #### Returns FootNotes

  Overrides XmlComponent.constructor

  - Defined in file/footnotes/footnotes.ts:10

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### createFootNote

- createFootNote(id, paragraph): void

- #### Parameters

  - ##### id: number

  - ##### paragraph: readonly Paragraph []

  #### Returns void

  - Defined in file/footnotes/footnotes.ts:70

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc